%define module	Pod-Coverage
%define name	perl-%{module}
%define version	0.19
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Checks if the documentation of a perl module is comprehensive
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Devel-Symdump
BuildArch:	noarch

%description
Developers hate writing documentation. They'd hate it even more if their
computer tattled on them, but maybe they'll be even more thankful in the long
run. Even if not, perlmodstyle tells you to, so you must obey. This perl module
provides a mechanism for determining if the pod for a given module is
comprehensive.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Pod/*
%{_bindir}/pod_cover
%{_mandir}/*/*




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.19-2mdv2008.1
+ Revision: 171029
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.1
+ Revision: 97560
- update to new version 0.19


* Tue Aug 08 2006 rafael
+ 08/08/06 14:35:06 (54555)
Fix file locations and set arch to noarch (since there is no XS part anymore)

* Tue Aug 08 2006 rafael
+ 08/08/06 14:24:40 (54469)
0.18 ; use mkrel

* Tue Aug 08 2006 rafael
+ 08/08/06 14:18:24 (54465)
Import perl-Pod-Coverage

* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 0.17-3mdk
-_rebuild_for_sparc

* Thu Sep 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.17-2mdk
- add BuildRequires: perl-Module-Build perl-Devel-Symdump

* Thu Dec 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-1mdk
- Initial MDK release.

